.btn {
    color: var(--color-white);
    outline: none;
    cursor: pointer;
    font-weight: 400;
    height: rem(46);
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(8) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: rem(1) solid transparent;
    background: var(--color-primary);
    border-radius: rem(30);
    fill: var(--color-white);

    &:hover {
        color: var(--color-white);
        background: darken($blue, 10%);
        text-decoration: none;
        fill: var(--color-white);
    }

    &:active {
        background: var(--color-primary);
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-white {
    color: var(--color-primary);
    background: var(--color-white);

    &:hover {
        color: var(--color-white);
        background: var(--color-primary);
    }

    &:active {
        background: var(--color-white);
    }
}

.btn-sm {
    height: rem(38);
    font-weight: 600;
}

.btn-link {
    margin: 0;
    padding: 0;
    font-weight: 600;
    font-size: rem(16);
    line-height: rem(24);
    color: var(--color-primary);
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: none;
    transition: .3s;

    &:hover {
        color: darken($blue, 10%);
        text-decoration: none;
        transition: .3s;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(18);
        line-height: rem(25);
    }
}

.btn-shadow {
    box-shadow: 0px 27px 11px rgba(101, 176, 220, 0.03), 0px 15px 9px rgba(101, 176, 220, 0.1), 0px 7px 7px rgba(101, 176, 220, 0.17), 0px 2px 4px rgba(101, 176, 220, 0.2), 0px 0px 0px rgba(101, 176, 220, 0.2);
}
